igeo.gui

## Class IGraphicsJ2D

- java.lang.Object
- - igeo.gui.IGraphicsJ2D

- All Implemented Interfaces:
    IGraphics, IGraphics2D

      public class IGraphicsJ2D
      extends java.lang.Object
      implements IGraphics2D

  Class of Graphics to draw 3D geometry (OpenGL or P3D)
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `firstDraw`
    `IView` | `view`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IGraphicsJ2D()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clr(float[] rgba)` fill color (array of 4 float in order of r, g, b, a)
    `void` | `clr(float r, float g, float b)` fill color (float 0-255)
    `void` | `clr(float r, float g, float b, float a)` fill color (float 0-255)
    `void` | `clr(IColor c)` fill color
    `void` | `draw(java.util.ArrayList<IGraphicI> objects, IView v)`
    `boolean` | `firstDraw()` check if this is the first time frame to draw
    `void` | `firstDraw(boolean f)` set the first draw flag
    `void` | `stroke(float[] rgba)` stroke color (array of 4 float in order of r, g, b, a)
    `void` | `stroke(float r, float g, float b)` stroke color (float 0-255)
    `void` | `stroke(float r, float g, float b, float a)` stroke color (float 0-255)
    `void` | `stroke(IColor c)` stroke (line) color
    `IGraphicMode.GraphicType` | `type()`
    `IView` | `view()`
    `void` | `weight(float w)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### view

          public IView view

    - #### firstDraw

          public boolean firstDraw

  - ### Constructor Detail

    - #### IGraphicsJ2D

          public IGraphicsJ2D()

  - ### Method Detail

    - #### type

          public IGraphicMode.GraphicType type()

      Specified by:
        `type` in interface `IGraphics`

    - #### view

          public IView view()

      Specified by:
        `view` in interface `IGraphics`

    - #### draw

          public void draw(java.util.ArrayList<IGraphicI> objects,
                           IView v)

      Specified by:
        `draw` in interface `IGraphics`

    - #### clr

          public void clr(IColor c)

      Description copied from interface: `IGraphics`
      fill color
      Specified by:
        `clr` in interface `IGraphics`

    - #### clr

          public void clr(float[] rgba)

      Description copied from interface: `IGraphics`
      fill color (array of 4 float in order of r, g, b, a)
      Specified by:
        `clr` in interface `IGraphics`

    - #### clr

          public void clr(float r,
                          float g,
                          float b,
                          float a)

      Description copied from interface: `IGraphics`
      fill color (float 0-255)
      Specified by:
        `clr` in interface `IGraphics`

    - #### clr

          public void clr(float r,
                          float g,
                          float b)

      Description copied from interface: `IGraphics`
      fill color (float 0-255)
      Specified by:
        `clr` in interface `IGraphics`

    - #### stroke

          public void stroke(IColor c)

      Description copied from interface: `IGraphics`
      stroke (line) color
      Specified by:
        `stroke` in interface `IGraphics`

    - #### stroke

          public void stroke(float[] rgba)

      Description copied from interface: `IGraphics`
      stroke color (array of 4 float in order of r, g, b, a)
      Specified by:
        `stroke` in interface `IGraphics`

    - #### stroke

          public void stroke(float r,
                             float g,
                             float b,
                             float a)

      Description copied from interface: `IGraphics`
      stroke color (float 0-255)
      Specified by:
        `stroke` in interface `IGraphics`

    - #### stroke

          public void stroke(float r,
                             float g,
                             float b)

      Description copied from interface: `IGraphics`
      stroke color (float 0-255)
      Specified by:
        `stroke` in interface `IGraphics`

    - #### weight

          public void weight(float w)

      Specified by:
        `weight` in interface `IGraphics`

    - #### firstDraw

          public boolean firstDraw()

      Description copied from interface: `IGraphics`
      check if this is the first time frame to draw
      Specified by:
        `firstDraw` in interface `IGraphics`

    - #### firstDraw

          public void firstDraw(boolean f)

      Description copied from interface: `IGraphics`
      set the first draw flag
      Specified by:
        `firstDraw` in interface `IGraphics`